curl --request GET \
--url https://api.dp1.us.honeyhive.ai/v1/metrics \
--header 'Authorization: Bearer <token>'{
"metrics": [
{
"name": "<string>",
"type": "PYTHON",
"criteria": "<string>",
"description": "<string>",
"return_type": "float",
"enabled_in_prod": true,
"needs_ground_truth": true,
"sampling_percentage": 50,
"filters": {
"filterArray": [
{
"field": "<string>",
"operator": "exists",
"value": "<string>",
"type": "string"
}
]
},
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"model_provider": "<string>",
"model_name": "<string>",
"scale": 123,
"threshold": {
"min": 123,
"max": 123,
"pass_when": true,
"passing_categories": [
"<string>"
]
},
"categories": [
{
"category": "<string>",
"score": 123
}
],
"child_metrics": [
{
"name": "<string>",
"weight": 123,
"id": "<string>",
"scale": 123
}
]
}
]
}Retrieve a list of all metrics
curl --request GET \
--url https://api.dp1.us.honeyhive.ai/v1/metrics \
--header 'Authorization: Bearer <token>'{
"metrics": [
{
"name": "<string>",
"type": "PYTHON",
"criteria": "<string>",
"description": "<string>",
"return_type": "float",
"enabled_in_prod": true,
"needs_ground_truth": true,
"sampling_percentage": 50,
"filters": {
"filterArray": [
{
"field": "<string>",
"operator": "exists",
"value": "<string>",
"type": "string"
}
]
},
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"model_provider": "<string>",
"model_name": "<string>",
"scale": 123,
"threshold": {
"min": 123,
"max": 123,
"pass_when": true,
"passing_categories": [
"<string>"
]
},
"categories": [
{
"category": "<string>",
"score": 123
}
],
"child_metrics": [
{
"name": "<string>",
"weight": 123,
"id": "<string>",
"scale": 123
}
]
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.honeyhive.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Metrics retrieved successfully
Response for GET /metrics
Show child attributes
Was this page helpful?